org.apache.ignite.ml.xgboost.parser

## Class XGBoostModelLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.apache.ignite.ml.xgboost.parser.XGBoostModelLexer

- All Implemented Interfaces:
    org.antlr.v4.runtime.TokenSource

      public class XGBoostModelLexer
      extends org.antlr.v4.runtime.Lexer

  XGBoost model lexer generated by ANTLR.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN` ATN.
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA` Decision to DFA.
    `static String` | `_serializedATN` Serialized ATN.
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache` Shared context cache.
    `static int` | `BOOSTER`
    `static String[]` | `channelNames` Channel names.
    `static int` | `COLON`
    `static int` | `COMMA`
    `static int` | `DOT`
    `static int` | `DOUBLE`
    `static int` | `EQ`
    `static int` | `EXP`
    `static int` | `INT`
    `static int` | `LBRACK`
    `static int` | `LEAF`
    `static int` | `LT`
    `static int` | `MINUS`
    `static int` | `MISSING`
    `static String[]` | `modeNames` Mode names.
    `static int` | `NEWLINE`
    `static int` | `NO`
    `static int` | `PLUS`
    `static int` | `RBRACK`
    `static String[]` | `ruleNames` Rule names.
    `static int` | `STRING`
    `static String[]` | `tokenNames` Deprecated. Use `VOCABULARY` instead.
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY` Vocabulary.
    `static int` | `WS`
    `static int` | `YES`

    - ### Fields inherited from class org.antlr.v4.runtime.Lexer

      `_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGBoostModelLexer(org.antlr.v4.runtime.CharStream input)` Constructs a new instance of XGBoost model lexer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.antlr.v4.runtime.atn.ATN` | `getATN()`
    `String[]` | `getChannelNames()`
    `String` | `getGrammarFileName()`
    `String[]` | `getModeNames()`
    `String[]` | `getRuleNames()`
    `String` | `getSerializedATN()`
    `String[]` | `getTokenNames()` Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()`

    - ### Methods inherited from class org.antlr.v4.runtime.Lexer

      `emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

      Decision to DFA.

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

      Shared context cache.

    - #### YES

          public static final int YES

      See Also:
        Constant Field Values

    - #### NO

          public static final int NO

      See Also:
        Constant Field Values

    - #### MISSING

          public static final int MISSING

      See Also:
        Constant Field Values

    - #### EQ

          public static final int EQ

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### PLUS

          public static final int PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          public static final int MINUS

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### EXP

          public static final int EXP

      See Also:
        Constant Field Values

    - #### BOOSTER

          public static final int BOOSTER

      See Also:
        Constant Field Values

    - #### LBRACK

          public static final int LBRACK

      See Also:
        Constant Field Values

    - #### RBRACK

          public static final int RBRACK

      See Also:
        Constant Field Values

    - #### COLON

          public static final int COLON

      See Also:
        Constant Field Values

    - #### LEAF

          public static final int LEAF

      See Also:
        Constant Field Values

    - #### INT

          public static final int INT

      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final int DOUBLE

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### NEWLINE

          public static final int NEWLINE

      See Also:
        Constant Field Values

    - #### LT

          public static final int LT

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### channelNames

          public static String[] channelNames

      Channel names.

    - #### modeNames

          public static String[] modeNames

      Mode names.

    - #### ruleNames

          public static final String[] ruleNames

      Rule names.

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

      Vocabulary.

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated. Use `VOCABULARY` instead.
      Token names.

    - #### _serializedATN

          public static final String _serializedATN

      Serialized ATN.
      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

      ATN.

  - ### Constructor Detail

    - #### XGBoostModelLexer

          public XGBoostModelLexer(org.antlr.v4.runtime.CharStream input)

      Constructs a new instance of XGBoost model lexer.
      Parameters:
        `input` - Character stream.

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Overrides:
        `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getChannelNames

          public String[] getChannelNames()

      Overrides:
        `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getModeNames

          public String[] getModeNames()

      Overrides:
        `getModeNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023